//
//  FoodAddEditViewController.swift
//  MealTracker
//
//  Created by Mark Sobkowicz on 10/25/17.
//  Copyright © 2017 Alan Barth. All rights reserved.
//

import UIKit

class FoodAddEditViewController: UIViewController, UIPickerViewDataSource, UIPickerViewDelegate {
    func numberOfComponents(in pickerView: UIPickerView) -> Int {
        return 1
    }
    
    func pickerView(_ pickerView: UIPickerView, numberOfRowsInComponent component: Int) -> Int {
        print(delegate.meals.count)
        return delegate.meals.count
    }
    
    func pickerView(_ pickerView: UIPickerView, titleForRow row: Int, forComponent component: Int) -> String? {
        let meal = delegate.meals[row]
        return meal.name
        
    }
    
    
    
 
    @IBOutlet weak var mealPickerView: UIPickerView!
    
    @IBOutlet weak var nameTextField: UITextField!
    
    @IBOutlet weak var descriptionTextField: UITextField!
    
    var delegate: FoodTableViewController!

    override func viewDidLoad() {
        super.viewDidLoad()
        mealPickerView.dataSource = self
        mealPickerView.delegate = self

        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
